| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Hooks.Script

Portability | unportable
Stability | unstable
Maintainer | Trevor Elliott <trevor@galois.com>

Contents

Usage
Script Hook Interface

Description
Provides a simple interface for running a ~/.xmonad/hooks script with the name of a hook.
Synopsis

execScriptHook :: MonadIO m => String -> m ()

Usage

This module allows you to run a centrally located script with the text name of a hook. The script is assumed to be located at `~/.xmonad/hooks`.

For example, if you wanted to run the hook startup in your script every time your startup hook ran, you could modify your xmonad config as such:

     main = xmonad $ defaultConfig {
       ...
       startupHook = execScriptHook "startup"
       ...
       }

Now, every time the startup hook runs, the command `~/.xmonad/hooks startup` will also.

Script Hook Interface

execScriptHook :: MonadIO m => String -> m () | Source

Execute a named script hook
Produced by Haddock version 2.4.2